<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <form class="job-role" [formGroup]="addJobRolesForm">
                        <div class="single-appoinment">
                            <strong>
                                Industry
                                <span class="w-85 mb-0">
                                    <!-- <select name="" id="" class="form-control">
                                        <option value="">Select</option>
                                        <option value="">Hospitality</option>
                                        <option value="">Hospitality 2</option>
                                    </select> -->
                                    <ng-select formControlName="industry" [multiple]="true" [closeOnSelect]="false"
                                        [searchable]="false" placeholder="Select Industry" dropdownPosition="bottom"
                                        (change)="selectJobIndustry()">
                                        <ng-option [value]='industry.industryId' *ngFor="let industry of industryList">
                                            {{industry.industryName}}
                                        </ng-option>
                                    </ng-select>
                                    <span class="t-red" *ngFor="let validation of errors.industry">
                                        <span
                                            *ngIf="addJobRolesForm.get('industry').hasError(validation.type) && (addJobRolesForm.get('industry').dirty || addJobRolesForm.get('industry').touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                </span>
                            </strong>
                        </div>

                        <div class="single-appoinment">
                            <strong>
                                Role
                                <span class="w-85 mb-0">
                                    <!-- <select name="" id="" class="form-control">
                                        <option value="">Select</option>
                                        <option value="">By Staff</option>
                                        <option value="">By Bartender</option>
                                    </select> -->
                                    <ng-select formControlName="jobRole" [multiple]="true" [closeOnSelect]="false"
                                        [searchable]="false" placeholder=" Select Job Role" dropdownPosition="bottom"
                                        (change)="selectedJobRoles()">
                                        <ng-container *ngFor="let role of jobRoleList">
                                            <ng-option [value]="role.jobRoleId"
                                                *ngFor="let industryNme of role.industryName">{{industryNme}} -
                                                {{role.jobRoleName}}</ng-option>
                                        </ng-container>
                                    </ng-select>


                                    <span class="t-red" *ngFor="let validation of errors.jobRole">
                                        <span
                                            *ngIf="addJobRolesForm.get('jobRole').hasError(validation.type) && (addJobRolesForm.get('jobRole').dirty || addJobRolesForm.get('jobRole').touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                </span>
                            </strong>
                        </div>
                        <form [formGroup]="addSkillsForm">



                            <div class="single-appoinment">
                                <ng-container *ngFor=" let skill of skillsList;  let roleIndex = index">
                                    <ng-container *ngIf="roleIndex < 5 && !showRole">
                                        <span><i class="fas fa-user-alt"></i> {{skill?.industryName}} - {{
                                            skill?.jobRoleName }}</span>

                                        <div class="checkboxes">
                                            <ng-container formArrayName="skillDetails"
                                                *ngFor=" let detail of skill.skillDetails; let skillIndex = index">

                                                <span>
                                                    <input type="checkbox" value="{{detail.skillId}}"
                                                        [checked]="detail.isSelected"
                                                        (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName, skill.industryId,roleIndex,skillIndex)" />
                                                    <label> {{ detail.skillName }}</label>

                                                </span>
                                            </ng-container>
                                        </div>
                                    </ng-container>
                                    <ng-container *ngIf="showRole">
                                        <span><i class="fas fa-user-alt"></i> {{skill?.industryName}} - {{
                                            skill?.jobRoleName }}</span>

                                        <div class="checkboxes">
                                            <ng-container formArrayName="skillDetails"
                                                *ngFor=" let detail of skill.skillDetails; let skillIndex = index">

                                                <span>
                                                    <input type="checkbox" value="{{detail.skillId}}"
                                                        [checked]="detail.isSelected"
                                                        (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName, skill.industryId,roleIndex,skillIndex)" />
                                                    <label> {{ detail.skillName }}</label>

                                                </span>
                                            </ng-container>
                                        </div>
                                    </ng-container>
                                </ng-container>
                            </div>

                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;"
                                *ngIf="!showArraow && skillsList.length>5">
                                <a href="javascript:void(0);" (click)="showMoreRole()" tooltip="Show More"> <i
                                        class="fas fa-angle-down"></i></a>
                            </div>
                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;"
                                *ngIf="showArraow && skillsList.length>5">
                                <a href="javascript:void(0);" (click)="showLessRole()" tooltip="Show Less"> <i
                                        class="fas fa-angle-up"></i></a>
                            </div>

                        </form>
                        <!-- <div class="single-appoinment">
                            <span><i class="fas fa-user-alt"></i> By Bartender</span>
                            <div class="checkboxes">
                                <span>
                                    <input type="checkbox" id="check1" name="" value="" />
                                    <label for="check1"> Heavy Lifting</label>
                                </span>
                                <span>
                                    <input type="checkbox" id="check2" name="" value="" />
                                    <label for="check2"> Heavy Lifting</label>
                                </span>
                                <span>
                                    <input type="checkbox" id="check3" name="" value="" />
                                    <label for="check3"> Heavy Lifting</label>
                                </span>
                                <span>
                                    <input type="checkbox" id="check4" name="" value="" />
                                    <label for="check4"> Heavy Lifting</label>
                                </span>
                                <span>
                                    <input type="checkbox" id="check5" name="" value="" />
                                    <label for="check5"> Heavy Lifting</label>
                                </span>
                            </div>
                        </div> -->

                        <div class="single-appoinment text-center">
                            <button type="submit" class="btn" [disabled]="!addJobRolesForm.valid"
                                (click)="saveJobRoles()">Save</button>
                        </div>
                    </form>
                    <!--- <div class="form-box">
                        <form [formGroup]="addJobRolesForm">
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Industry  <i style="color: #4637ee" class="fas fa-info-circle" tooltip="You can select multiple industries"></i></label></div>
                                    <div class="col-8" >
                                        <select class="form-control select-box" formControlName="industry"
                                            (change)="selectJobIndustry($event.target.value)">
                                            <option value="" disabled> Select Industry</option>
                                            <option value="{{industry.industryId}}"
                                                *ngFor="let industry of industryList ">
                                                {{industry.industryName}}</option>                           
                                        </select>
                                        <ng-select formControlName="industry"  [multiple]="true"
                                        [closeOnSelect]="false" [searchable]="false" 
                                        placeholder="Select Industry" dropdownPosition="bottom"
                                        (change)="selectJobIndustry()">
                                        <ng-option [value]='industry.industryId' *ngFor="let industry of industryList"  >
                                            {{industry.industryName}}
                                        </ng-option>
                                    </ng-select>

                                        
                                        <span class="t-red" *ngFor="let validation of errors.industry">
                                            <span
                                                *ngIf="addJobRolesForm.get('industry').hasError(validation.type) && (addJobRolesForm.get('industry').dirty || addJobRolesForm.get('industry').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Job Roles <i style="color: #4637ee" class="fas fa-info-circle" tooltip="You can select multiple roles "></i></label></div>
                                    <div class="col-8">
                                        <ng-select formControlName="jobRole"[multiple]="true"
                                            [closeOnSelect]="false" [searchable]="false" 
                                            placeholder=" Select Job Role" dropdownPosition="bottom"
                                            (change)="selectedJobRoles()">
                                            <ng-container *ngFor="let role of jobRoleList" >
                                            <ng-option [value]="role.jobRoleId" *ngFor="let industryNme of role.industryName" >{{industryNme}} - {{role.jobRoleName}}</ng-option>
                                        </ng-container>
                                        </ng-select>

                                       
                                        <span class="t-red" *ngFor="let validation of errors.jobRole">
                                            <span
                                                *ngIf="addJobRolesForm.get('jobRole').hasError(validation.type) && (addJobRolesForm.get('jobRole').dirty || addJobRolesForm.get('jobRole').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                       
                                    </div>
                                </div>
                            </div>
                           
                  
                          <div class="fltr-skls" *ngIf="skillss?.length">
                                <h5>Skills</h5>
                                <ul>
                                    <li *ngFor="let skill of skillss;let i = index"><label>
                                        <input type="checkbox" name=a{{i}} formControlName="skill" (change)="onCheckSkill($event.target.checked,skill.skillName,skill.skillId)">
                                            {{skill.skillName}}</label>
                                    </li>
                                </ul>
                            </div> 
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Skill</label></div>
                                    <div class="col-8">
                                    <form [formGroup]="addSkillsForm">
                                        <div *ngFor=" let skill of skillsList;  let roleIndex = index" class="row">
                                               
                                           
                                            <label class="col-12" style=" margin-bottom: 5px;">{{skill?.industryName}} - {{ skill?.jobRoleName }} </label>
                                          

                                        <div class="col-12">
                                                <ul  style=" margin-bottom: 20px;list-style-type: none;">
                                                    <li formArrayName="skillDetails"
                                                        *ngFor=" let detail of skill.skillDetails; let skillIndex = index">
                                                        
                                                            <input type="checkbox" value="{{detail.skillId}}" [checked]="detail.isSelected" (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName, skill.industryId,roleIndex,skillIndex)">
                                                            {{  detail.skillName  }}
                                                    </li>
                                                    
                                                </ul>
                                            </div> 
                                            <div class="col-12" style=" margin-bottom: 20px; list-style-type: none;">
                                                        
                                                <span formArrayName="skillDetails"
                                                *ngFor=" let detail of skill.skillDetails; let skillIndex = index">
                                                    <span *ngIf = "skillIndex>0">,  </span>
                                                    <span>
                                                        <input type="checkbox" value="{{detail.skillId}}" [checked]="detail.isSelected" (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName, skill.industryId,roleIndex,skillIndex)">
                                                        {{  detail.skillName  }}
                                                    </span>
                                                </span>
                                           
                                        </div>
                                        </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group text-center">
                                <input type="submit" [disabled]="!addJobRolesForm.valid" (click)="saveJobRoles()"
                                    value="Save" class="btn">
                            </div>
                        </form>
                    </div> --->
                </div>
            </div>
        </div>
    </div>
</div>